| Home | Libraries | People | FAQ | More

## Struct template pointer_has_rebind_other

boost::intrusive::pointer_has_rebind_other

## Synopsis

    // In header: <boost/intrusive/pointer_rebind.hpp>

    template<typename Ptr, typename U>
    struct pointer_has_rebind_other {
      // member classes/structs/unions
      template<typename V>
      struct any {
        // construct/copy/destruct
        any(const V &);
      };

      // public static functions
      template<typename X>
        static char test(int, typename X::template rebind< U >::other *);
      template<typename X> static int test(any< int >, void *);

      // public data members
      static const bool value;
    };

## Description

### `pointer_has_rebind_other` public static functions

1.     template<typename X>
         static char test(int, typename X::template rebind< U >::other *);

2.     template<typename X> static int test(any< int >, void *);